import { CollectionConfig } from 'payload/types';

const Products: CollectionConfig = {
  slug: 'products',
  admin: {
    useAsTitle: 'productTitle',
  },
  access: {
    read: () => true,
  },
  fields: [
    {
      name: 'title',
      type: 'text',
      required: true,
    },
    {
      name: 'picture',
      type: 'relationship',
      relationTo: 'media',
      hasMany: false,
      required: true,
    },
    {
      name: 'weight',
      label: 'Weight (kg)',
      type: 'number',
      hasMany: false,
      required: false,
    }
  ],
};

export default Products;