import { buildConfig } from "payload/config";
import path from "path";
import Posts from "@/collections/Posts";
import Users from "@/collections/Users";
import Media from "@/collections/Media";
import Couriers from "./collections/Couriers";
import Dispatches from "./collections/Dispatches";
import Makers from "./collections/Makers";
import Products from "./collections/Products";
import Retailers from "./collections/Retailers";

export default buildConfig({
  serverURL: process.env.PAYLOAD_URL,
  admin: {
    user: Users.slug,
    webpack: (config) => ({
      ...config,
      resolve: {
        ...config.resolve,
        alias: {
          ...config.resolve.alias,
          "@": path.resolve(__dirname, "./"),
        },
      },
    }),
  },
  collections: [
    // Posts,
    Users,
    Media,
    Couriers,
    Dispatches,
    Makers,
    Products,
    Retailers,
  ],
  typescript: {
    outputFile: path.resolve("/", "types.ts"),
  },
});
